/*

CLASS {AL4_dir_dialog|s_Java}, NATIVE, UNTESTED :

IMPORT: {Android_dir_dialog}, {Screen}, {Dialog}, {Control}, {Dialog_dir} .

*/

import android.content.*;
import android.widget.*;
import android.app.AlertDialog;
import android.view.*;
import java.io.*;
import java.util.*;
import android.graphics.Paint;
import android.os.Environment;
import android.util.*;
import android.graphics.drawable.Drawable;
import android.graphics.*;

public class AL4_dir_dialog
{

	/*
	//------------------------------------
	// Create directory selection dialogue
	
	FUN Create_dir_dialog(
		INT Handle|_of_form, {Control} D|ialog_control) ==> INT
        :
        RESULT = do_create_dir_dialog(Handle, D) .

	FUN do_create_dir_dialog(INT H|andle_horm,
		{Control} D|ialog_control) ==> INT, 
		NATIVE, UNCOOKED :
		"     RESULT = AL4_dir_dialog.Do_Create_dialog_dir(X_H, X_D);" .
	*/
	public static int Do_Create_dialog_dir(int H, Ref_obj X_D)
		throws Exception {
		AL4_dir_dialog DD = new AL4_dir_dialog();
		int Result = AL4_form.Alloc_descriptor(DD, X_D);
		return Result;
	}

	/*
	//----------------------------------------------------------------
	// Show directory dialog, return TRUE if a directory was selected.
	
	FUN Show_dir_dialog(
	{Control} C|ontrol_dialog_file) ==> BOOL
		:
		{Dialog_dir} d|ialog_control = C.{Dialog_dir}
		------------------------------ 'create dialog and setup'
		{Android_dir_dialog} dlg|_temp = {Android_dir_dialog}(
			Screen_ = d.Form_.Screen_)
			
		dlg.Setup_title(d.Title)
		------------------------------------------ 'show dialog'
		d.Path = ""
		RESULT = dlg.Show_modal(d.Form_) == "OK"
		CASE !RESULT ? ==> ;
		d.Path = dlg.Path.Text .


	*/
	
}

 
/*
END
*/
